# Contributing

If you wish to contribute to the project, please follow the guidelines below.

## Opening issues

- Check that the issue doesn't exist already.
- Check that the issue was not already fixed in the latest `main`.

## Pull requests

**During development**

- Make sure you're on the latest version to avoid conflicts when opening the pull request.
- Install the needed gems by running `bundle install`.
- Make the changes you need and commit them.
- Add tests for the new functionality.
- Run `bundle exec rake` and make sure all the tests pass.

**Before opening a pull request:**

- Squash the commits such that each represents a single coherent change. Make sure that they have [good commit messages](https://tbaggery.com/2008/04/19/a-note-about-git-commit-messages.html).
- Open a [pull request](https://docs.github.com/en/github/collaborating-with-issues-and-pull-requests/about-pull-requests).
